Subject: bug#55071: 28.1; package-refresh-content throws bug

From: Bhaskar Chowdhury <[email-masked]>
Date: Sat, 23 Apr 2022 04:44:09 +0530

Well, while doing regular "package-refresh-content" it throws this:

Debugger entered--Lisp error: (error "Location https//elpa.gnu.org/packages/ is not a url nor an absolute file name")
  signal(error ("Location https//elpa.gnu.org/packages/ is not a url nor an absolute file name"))
  package--with-response-buffer-1("https//elpa.gnu.org/packages/" #f(compiled-function () #<bytecode 0x15f5309650fab0c5>) :file "archive-contents" :async nil :error-func$
  package--download-one-archive(("elpa" . "https//elpa.gnu.org/packages/") "archive-contents" nil)
  package--download-and-read-archives(nil)
  package-refresh-contents()
  funcall-interactively(package-refresh-contents)
  call-interactively(package-refresh-contents record nil)
  command-execute(package-refresh-contents record)
  execute-extended-command(nil "package-refresh-contents" "package-re")
  funcall-interactively(execute-extended-command nil "package-refresh-contents" "package-re")
  call-interactively(execute-extended-command nil nil)
  command-execute(execute-extended-command)

....and I do remember ,it pops up once running the older version and I
fixed the damn thing by doing something and completely forgot that,lack
documenttation and memory ....anyway it come back again and I haven't
found a clue to fix it.

Please shed some light to get over it. In other word, kindly pinpoint
what I need to do get the damn thing working again . And this time I
shall take a note of it , if you come up with the steps precisely .

Heads up! Not sure this relevant, but thought to let ya know, you can
see ,I am sitting on Debian, but the same thing happen on Gentoo,
Slackware ..because I ran it from same source and place ...common area...

In GNU Emacs 28.1 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.24, cairo version 1.16.0)
 of 2022-04-06 built on debian
System Description: Debian GNU/Linux 11 (bullseye)

Configured features:
CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GSETTINGS HARFBUZZ JPEG
LIBSELINUX LIBXML2 MODULES NOTIFY INOTIFY PDUMPER PNG SECCOMP SOUND
THREADS TIFF TOOLKIT_SCROLL_BARS X11 XDBE XIM XPM GTK3 ZLIB

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Debugger

Minor modes in effect:
  org-bullets-mode: t
  global-company-mode: t
  company-mode: t
  popper-mode: t
  vertico-mode: t
  global-git-commit-mode: t
  magit-auto-revert-mode: t
  projectile-mode: t
  global-undo-tree-mode: t
  undo-tree-mode: t
  engine-mode: t
  display-battery-mode: t
  display-time-mode: t
  emms-mode-line-mode: t
  emms-playing-time-display-mode: t
  emms-playing-time-mode: t
  real-global-auto-complete-mode: t
  auto-complete-mode: t
  shell-dirtrack-mode: t
  which-key-mode: t
  ido-everywhere: t
  override-global-mode: t
  org-tag-beautify-mode: t
  org-pretty-tags-global-mode: t
  marginalia-mode: t
  ivy-posframe-mode: t
  icomplete-mode: t
  global-highlight-parentheses-mode: t
  highlight-parentheses-mode: t
  global-highlight-changes-mode: t
  highlight-changes-visible-mode: t
  global-emojify-mode-line-mode: t
  emojify-mode-line-mode: t
  global-emojify-mode: t
  emojify-mode: t
  doom-modeline-mode: t
  all-the-icons-ivy-rich-mode: t
  ivy-rich-mode: t
  global-eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  global-prettify-symbols-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Load-path shadows:
~/.emacs.d/emacs-libvterm/vterm hides /home/bhaskar/.emacs.d/elpa/vterm-20211226.817/vterm
/home/bhaskar/.emacs.d/elpa/notmuch-20220226.1200/notmuch-crypto hides /usr/local/share/emacs/site-lisp/notmuch-crypto
/home/bhaskar/.emacs.d/elpa/notmuch-20220226.1200/notmuch-message hides /usr/local/share/emacs/site-lisp/notmuch-message
/home/bhaskar/.emacs.d/elpa/notmuch-20220226.1200/notmuch-maildir-fcc hides /usr/local/share/emacs/site-lisp/notmuch-maildir-fcc
/home/bhaskar/.emacs.d/elpa/notmuch-20220226.1200/notmuch-address hides /usr/local/share/emacs/site-lisp/notmuch-address
/home/bhaskar/.emacs.d/elpa/notmuch-20220226.1200/notmuch-mua hides /usr/local/share/emacs/site-lisp/notmuch-mua
/home/bhaskar/.emacs.d/elpa/notmuch-20220226.1200/notmuch-hello hides /usr/local/share/emacs/site-lisp/notmuch-hello
/home/bhaskar/.emacs.d/elpa/notmuch-20220226.1200/notmuch-wash hides /usr/local/share/emacs/site-lisp/notmuch-wash
/home/bhaskar/.emacs.d/elpa/notmuch-20220226.1200/notmuch-tree hides /usr/local/share/emacs/site-lisp/notmuch-tree
/home/bhaskar/.emacs.d/elpa/notmuch-20220226.1200/notmuch-show hides /usr/local/share/emacs/site-lisp/notmuch-show
/home/bhaskar/.emacs.d/elpa/notmuch-20220226.1200/notmuch-query hides /usr/local/share/emacs/site-lisp/notmuch-query
/home/bhaskar/.emacs.d/elpa/notmuch-20220226.1200/notmuch hides /usr/local/share/emacs/site-lisp/notmuch
/home/bhaskar/.emacs.d/elpa/notmuch-20220226.1200/notmuch-parser hides /usr/local/share/emacs/site-lisp/notmuch-parser
/home/bhaskar/.emacs.d/elpa/notmuch-20220226.1200/notmuch-compat hides /usr/local/share/emacs/site-lisp/notmuch-compat
/home/bhaskar/.emacs.d/elpa/notmuch-20220226.1200/notmuch-lib hides /usr/local/share/emacs/site-lisp/notmuch-lib
/home/bhaskar/.emacs.d/elpa/notmuch-20220226.1200/notmuch-draft hides /usr/local/share/emacs/site-lisp/notmuch-draft
/home/bhaskar/.emacs.d/elpa/notmuch-20220226.1200/notmuch-company hides /usr/local/share/emacs/site-lisp/notmuch-company
/home/bhaskar/.emacs.d/elpa/notmuch-20220226.1200/notmuch-jump hides /usr/local/share/emacs/site-lisp/notmuch-jump
/home/bhaskar/.emacs.d/elpa/notmuch-20220226.1200/notmuch-print hides /usr/local/share/emacs/site-lisp/notmuch-print
/home/bhaskar/.emacs.d/elpa/notmuch-20220226.1200/coolj hides /usr/local/share/emacs/site-lisp/coolj
/home/bhaskar/.emacs.d/elpa/notmuch-20220226.1200/notmuch-tag hides /usr/local/share/emacs/site-lisp/notmuch-tag
/home/bhaskar/.emacs.d/elpa/jsonrpc-1.0.15/jsonrpc hides /usr/local/share/emacs/28.1/lisp/jsonrpc
/home/bhaskar/.emacs.d/elpa/transient-20220325.1619/transient hides /usr/local/share/emacs/28.1/lisp/transient
/home/bhaskar/.emacs.d/elpa/xref-1.4.1/xref hides /usr/local/share/emacs/28.1/lisp/progmodes/xref
/home/bhaskar/.emacs.d/elpa/dictionary-20201001.1727/dictionary hides /usr/local/share/emacs/28.1/lisp/net/dictionary
/home/bhaskar/.emacs.d/elpa/eldoc-1.11.1/eldoc hides /usr/local/share/emacs/28.1/lisp/emacs-lisp/eldoc
/usr/local/share/emacs/28.1/lisp/progmodes/flymake hides /home/bhaskar/.emacs.d/elpa/flymake-1.2.2/flymake
/usr/local/share/emacs/28.1/lisp/progmodes/project hides /home/bhaskar/.emacs.d/elpa/project-0.8.1/project
/home/bhaskar/.emacs.d/elpa/request-20211107.1907/request hides /home/bhaskar/.emacs.d/elpa/request-20210816.200/request
/home/bhaskar/.emacs.d/elpa/request-20211107.1907/request-pkg hides /home/bhaskar/.emacs.d/elpa/request-20210816.200/request-pkg
/home/bhaskar/.emacs.d/elpa/request-20211107.1907/request-autoloads hides /home/bhaskar/.emacs.d/elpa/request-20210816.200/request-autoloads
/usr/local/share/emacs/28.1/lisp/emacs-lisp/seq hides /home/bhaskar/.emacs.d/elpa/seq-2.23/seq
/usr/local/share/emacs/site-lisp/mu4e/mu4e-speedbar hides ~/.emacs.d/mu/mu4e/mu4e-speedbar
/usr/local/share/emacs/site-lisp/mu4e/mu4e-server hides ~/.emacs.d/mu/mu4e/mu4e-server
/usr/local/share/emacs/site-lisp/mu4e/mu4e-headers hides ~/.emacs.d/mu/mu4e/mu4e-headers
/usr/local/share/emacs/site-lisp/mu4e/mu4e-compose hides ~/.emacs.d/mu/mu4e/mu4e-compose
/usr/local/share/emacs/site-lisp/mu4e/mu4e-view hides ~/.emacs.d/mu/mu4e/mu4e-view
/usr/local/share/emacs/site-lisp/mu4e/mu4e-org hides ~/.emacs.d/mu/mu4e/mu4e-org
/usr/local/share/emacs/site-lisp/mu4e/mu4e-search hides ~/.emacs.d/mu/mu4e/mu4e-search
/usr/local/share/emacs/site-lisp/mu4e/mu4e-icalendar hides ~/.emacs.d/mu/mu4e/mu4e-icalendar
/usr/local/share/emacs/site-lisp/mu4e/mu4e-meta hides ~/.emacs.d/mu/mu4e/mu4e-meta
/usr/local/share/emacs/site-lisp/mu4e/mu4e-main hides ~/.emacs.d/mu/mu4e/mu4e-main
/usr/local/share/emacs/site-lisp/mu4e/mu4e-contrib hides ~/.emacs.d/mu/mu4e/mu4e-contrib
/usr/local/share/emacs/site-lisp/mu4e/mu4e-draft hides ~/.emacs.d/mu/mu4e/mu4e-draft
/usr/local/share/emacs/site-lisp/mu4e/mu4e-actions hides ~/.emacs.d/mu/mu4e/mu4e-actions
/usr/local/share/emacs/site-lisp/mu4e/mu4e-bookmarks hides ~/.emacs.d/mu/mu4e/mu4e-bookmarks
/usr/local/share/emacs/site-lisp/mu4e/mu4e-helpers hides ~/.emacs.d/mu/mu4e/mu4e-helpers
/usr/local/share/emacs/site-lisp/mu4e/mu4e-vars hides ~/.emacs.d/mu/mu4e/mu4e-vars
/usr/local/share/emacs/site-lisp/mu4e/mu4e-message hides ~/.emacs.d/mu/mu4e/mu4e-message
/usr/local/share/emacs/site-lisp/mu4e/mu4e-mark hides ~/.emacs.d/mu/mu4e/mu4e-mark
/usr/local/share/emacs/site-lisp/mu4e/mu4e-lists hides ~/.emacs.d/mu/mu4e/mu4e-lists
/usr/local/share/emacs/site-lisp/mu4e/mu4e-folders hides ~/.emacs.d/mu/mu4e/mu4e-folders
/usr/local/share/emacs/site-lisp/mu4e/mu4e-context hides ~/.emacs.d/mu/mu4e/mu4e-context
/usr/local/share/emacs/site-lisp/mu4e/mu4e-contacts hides ~/.emacs.d/mu/mu4e/mu4e-contacts
/usr/local/share/emacs/site-lisp/mu4e/mu4e-update hides ~/.emacs.d/mu/mu4e/mu4e-update
/usr/local/share/emacs/site-lisp/mu4e/mu4e hides ~/.emacs.d/mu/mu4e/mu4e

Features:
(shadow mail-extr emacsbug bug-reference notmuch notmuch-tree
notmuch-jump notmuch-hello notmuch-show notmuch-print notmuch-crypto
notmuch-mua notmuch-message notmuch-draft notmuch-maildir-fcc
notmuch-address notmuch-company notmuch-parser notmuch-wash coolj
notmuch-query goto-addr icalendar notmuch-tag notmuch-lib
notmuch-version notmuch-compat insert-shebang org-bullets
display-line-numbers ol-eww eww url-queue mm-url ol-rmail ol-mhe ol-irc
ol-info ol-gnus nnselect gnus-search eieio-opt speedbar ezimage dframe
ol-docview doc-view jka-compr ol-bibtex ol-bbdb ol-w3m ol-doi
org-link-doi help-fns radix-tree cl-print debug backtrace mm-archive
gnutls network-stream url-cache term/st company-oddmuse company-keywords
company-etags etags fileloop company-gtags company-dabbrev-code
company-dabbrev company-files company-clang company-capf company-cmake
company-semantic company-template company-bbdb company popper
multiple-cursors mc-separate-operations rectangular-region-mode
mc-mark-pop mc-edit-lines mc-hide-unmatched-lines-mode mc-mark-more
mc-cycle-cursors multiple-cursors-core rect cal-julian circadian solar
cal-dst vertico org-clock move-text bookmark+ bookmark+-key bookmark+-1
bookmark+-bmu bookmark+-lit dired+ image-dired image-mode exif
image-file image-converter dired-x dired-aux skeleton xcscope
magit-org-todos magit-bookmark magit-submodule magit-obsolete
magit-popup magit-blame magit-stash magit-reflog magit-bisect magit-push
magit-pull magit-fetch magit-clone magit-remote magit-commit
magit-sequence magit-notes magit-worktree magit-tag magit-merge
magit-branch magit-reset magit-files magit-refs magit-status magit
magit-repos magit-apply magit-wip magit-log which-func magit-diff
smerge-mode diff-mode git-commit log-edit pcvs-util add-log magit-core
magit-autorevert autorevert filenotify magit-margin magit-transient
magit-process magit-mode magit-git magit-base crm projectile lisp-mnt
grep ibuf-ext ibuffer ibuffer-loaddefs org-fancy-priorities
rainbow-delimiters org-download org-attach async general smex undo-tree
diff queue org-link-minor-mode transient appt diary-lib diary-loaddefs
org-mime org-protocol org-crypt ob-shell powerline powerline-separators
powerline-themes engine-mode battery time emms-librefm-stream
emms-librefm-scrobbler emms-playlist-limit emms-i18n emms-history
emms-score emms-stream-info emms-metaplaylist-mode emms-bookmarks
emms-cue emms-mode-line-icon emms-browser sort emms-volume
emms-volume-sndioctl emms-volume-mixerctl emms-volume-pulse
emms-volume-amixer emms-playlist-sort emms-last-played emms-player-xine
emms-player-mpd tq emms-lyrics emms-url emms-streams emms-show-all
emms-tag-editor emms-tag-tracktag emms-mark emms-mode-line emms-cache
emms-info-native bindat emms-info-exiftool emms-info-tinytag
emms-info-metaflac emms-info-opusinfo emms-info-ogginfo
emms-info-mp3info emms-playlist-mode emms-player-vlc emms-player-mpv
emms-playing-time emms-info emms-later-do emms-player-mplayer
emms-player-simple emms-source-playlist emms-source-file locate
emms-setup emms emms-compat define-word rng-nxml rng-valid nxml-mode
nxml-outln nxml-rap sgml-mode facemenu synosaurus flyspell ispell
flycheck flymake-proc flymake warnings auto-complete popup vterm tramp
tramp-loaddefs trampver tramp-integration files-x tramp-compat ls-lisp
face-remap term disp-table ehelp vterm-module term/xterm xterm pass
imenu password-store with-editor shell server which-key auth-source-pass
mu4e-contrib eshell esh-cmd esh-ext esh-opt esh-proc esh-io esh-arg
esh-module esh-groups esh-util bookmark epa-file mu4e mu4e-org mu4e-view
thingatpt gnus-art mm-uu mml2015 mm-view mml-smime smime dig gnus-sum
gnus-group gnus-undo gnus-start gnus-dbus dbus gnus-cloud nnimap nnmail
mail-source utf7 netrc nnoo parse-time gnus-spec gnus-int gnus-range
gnus-win gnus nnheader mu4e-main mu4e-headers mu4e-lists mu4e-compose
mu4e-draft mu4e-actions smtpmail sendmail mu4e-search mu4e-bookmarks
mu4e-mark mu4e-message shr kinsoku svg dom flow-fill mule-util hl-line
mu4e-contacts mu4e-update mu4e-folders mu4e-server mu4e-context
mu4e-vars mu4e-helpers ido message rfc822 mml mml-sec epa derived epg
rfc6068 epg-config gnus-util rmail rmail-loaddefs mm-decode mm-bodies
mm-encode mailabbrev mail-utils gmm-utils mailheader mu4e-meta edmacro
kmacro command-log-mode use-package use-package-ensure
use-package-delight use-package-diminish use-package-bind-key bind-key
use-package-core finder-inf counsel xdg xref project dired
dired-loaddefs compile text-property-search swiper cl-extra help-mode
ox-texinfo ox-org ox-md molokai-theme org-tag-beautify org-pretty-tags
org-roam-graph xml org-roam-migrate org-roam-mode org-roam-capture
org-roam-id org-roam-node org-roam-db org-roam-utils org-roam-compat
org-roam org-capture org-id emacsql-sqlite url-http url-auth mail-parse
rfc2231 rfc2047 rfc2045 mm-util ietf-drums mail-prsvr url-gw nsm rmc
puny emacsql emacsql-compiler magit-section ox-odt rng-loc rng-uri
rng-parse rng-match rng-dt rng-util rng-pttrn nxml-parse nxml-ns
nxml-enc xmltok nxml-util ox-latex ox-icalendar org-agenda org-refile
ox-html table ox-ascii ox-publish ox org-element avl-tree generator org
ob ob-tangle ob-ref ob-lob ob-table ob-exp org-macro org-footnote
org-src ob-comint org-pcomplete pcomplete comint ansi-color org-list
org-faces org-entities noutline outline org-version ob-emacs-lisp
ob-core ob-eval org-table oc-basic bibtex iso8601 time-date ol org-keys
oc org-compat org-macs org-loaddefs format-spec find-func cal-menu
calendar cal-loaddefs simple-httpd pp marginalia ivy-posframe posframe
icomplete highlight-parentheses hilit-chg wid-edit emojify advice
apropos tar-mode arc-mode archive-mode pcase ht doom-modeline
doom-modeline-segments doom-modeline-env doom-modeline-core shrink-path
rx f s dash all-the-icons-ivy-rich all-the-icons all-the-icons-faces
data-material data-weathericons data-octicons data-fileicons
data-faicons data-alltheicons ivy-rich ivy flx delsel ring ivy-faces
ivy-overlay colir color cus-load helm-easymenu org2blog-autoloads
easy-mmode info package browse-url url url-proxy url-privacy url-expand
url-methods url-history url-cookie url-domsuf url-util mailcap
url-handlers url-parse auth-source cl-seq eieio eieio-core cl-macs
eieio-loaddefs password-cache json subr-x map url-vars seq byte-opt gv
bytecomp byte-compile cconv cl-loaddefs cl-lib iso-transl tooltip eldoc
paren electric uniquify ediff-hook vc-hooks lisp-float-type elisp-mode
mwheel term/x-win x-win term/common-win x-dnd tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch easymenu
timer select scroll-bar mouse jit-lock font-lock syntax font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite emoji-zwj charscript charprop case-table
epa-hook jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice
button loaddefs faces cus-face macroexp files window text-properties
overlay sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote threads dbusbind inotify
dynamic-setting system-font-setting font-render-setting cairo
move-toolbar gtk x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 984708 63465)
 (symbols 48 61050 6)
 (strings 32 387952 11142)
 (string-bytes 1 10025139)
 (vectors 16 141160)
 (vector-slots 8 3366064 35950)
 (floats 8 3473 1169)
 (intervals 56 3027 158)
 (buffers 992 18))